package com.ejie.ab79.model.REST.servicioWeb;

public class PreguntaRespuestaExpediente extends Estado implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idPreguntaExpediente;
	private String idPreguntaMovil;
	private Integer orden;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private Integer idTipoPregunta;
	private String respuesta;
	private Opciones opciones;

	public PreguntaRespuestaExpediente() {
	}

	public Integer getIdPreguntaExpediente() {
		return idPreguntaExpediente;
	}

	public void setIdPreguntaExpediente(Integer idPreguntaExpediente) {
		this.idPreguntaExpediente = idPreguntaExpediente;
	}

	public String getIdPreguntaMovil() {
		return idPreguntaMovil;
	}

	public void setIdPreguntaMovil(String idPreguntaMovil) {
		this.idPreguntaMovil = idPreguntaMovil;
	}

	public Integer getOrden() {
		return orden;
	}

	public void setOrden(Integer orden) {
		this.orden = orden;
	}

	public String getDescripcionCastellano() {
		return descripcionCastellano;
	}

	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	public String getDescripcionEuskera() {
		return descripcionEuskera;
	}

	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	public Integer getIdTipoPregunta() {
		return idTipoPregunta;
	}

	public void setIdTipoPregunta(Integer idTipoPregunta) {
		this.idTipoPregunta = idTipoPregunta;
	}

	public String getRespuesta() {
		return respuesta;
	}

	public void setRespuesta(String respuesta) {
		this.respuesta = respuesta;
	}

	public Opciones getOpciones() {
		return opciones;
	}

	public void setOpciones(Opciones opciones) {
		this.opciones = opciones;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idPreguntaExpediente: ").append(this.idPreguntaExpediente).append(" ]");
		result.append(" [ idPreguntaMovil: ").append(this.idPreguntaMovil).append(" ]");
		result.append(" [ orden: ").append(this.orden).append(" ]");
		result.append(" [ descripcionCastellano: ").append(this.descripcionCastellano).append(" ]");
		result.append(" [ descripcionEuskera: ").append(this.descripcionEuskera).append(" ]");
		result.append(" [ idTipoPregunta: ").append(this.idTipoPregunta).append(" ]");
		result.append(" [ respuesta: ").append(this.respuesta).append(" ]");
		result.append(" [ opciones: ").append(this.opciones).append(" ]");
		result.append("}");
		return result.toString();
	}
}
